Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultVoiceNote

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultVoiceNote

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultVoiceNote
    extends TdApi.InputInlineQueryResult

Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`java.lang.String` `title` Title of the voice note.
`int` `voiceNoteDuration` Duration of the voice note, in seconds.
`java.lang.String` `voiceNoteUrl` The URL of the voice note file.

### Constructor Summary

Constructors
`InputInlineQueryResultVoiceNote()` Default constructor.
`InputInlineQueryResultVoiceNote​(java.lang.String id, java.lang.String title, java.lang.String voiceNoteUrl, int voiceNoteDuration, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### title

    public java.lang.String title

Title of the voice note.

#### voiceNoteUrl

    public java.lang.String voiceNoteUrl

The URL of the voice note file.

#### voiceNoteDuration

    public int voiceNoteDuration

Duration of the voice note, in seconds.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageVoiceNote, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultVoiceNote

    public InputInlineQueryResultVoiceNote()

Default constructor.

#### InputInlineQueryResultVoiceNote

    public InputInlineQueryResultVoiceNote​(java.lang.String id,
                                           java.lang.String title,
                                           java.lang.String voiceNoteUrl,
                                           int voiceNoteDuration,
                                           TdApi.ReplyMarkup replyMarkup,
                                           TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the voice note.
  `voiceNoteUrl` - The URL of the voice note file.
  `voiceNoteDuration` - Duration of the voice note, in seconds.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageVoiceNote, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR